VARKON Version 1.15 1997-10-24

> ## getxht - Procedure

> Get xhatch from GM
> Description
> Reads xhatch data from GM.
> Syntax
> getxht(id, font, dl, dist, dir, nlines, xy)

> REF | id;
> INT | font;
> FLOAT | dl;
> VECTOR | dist;
> FLOAT | dir;
> FLOAT | nlines;
> FLOAT | xy(4*nlines);

> Principal parameters

> id | - Global identity of a xhatch
> font | - 0 = Solid, 1 = Dashed, 2 = Centerline
> dl | - Dashlength if font = 1 or 2
> dist | - Line spacing
> dir | - Line direction
> nlines | - Number of lines
> xy | - Line endpoint coordinates stored in xy as x1,y1,x2,y2......

> Optional parameters

> None. |

> Comments
> Each hatchline requires 4 elements of the xy array. If xy is not large enough to hold all lines only as many as will fit are returned.

VARKON Homepage | Index